| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Pango.Enums

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Description
Enumerations for describing font characteristics.
Synopsis

data FontStyle

= StyleNormal
| StyleOblique
| StyleItalic

data Size

= SizePoint Double
| SizeUnreadable
| SizeTiny
| SizeSmall
| SizeMedium
| SizeLarge
| SizeHuge
| SizeGiant
| SizeSmaller
| SizeLarger

data Weight

= WeightThin
| WeightUltralight
| WeightLight
| WeightBook
| WeightNormal
| WeightMedium
| WeightSemibold
| WeightBold
| WeightUltrabold
| WeightHeavy
| WeightUltraheavy

data Variant

= VariantNormal
| VariantSmallCaps

data Stretch

= StretchUltraCondensed
| StretchExtraCondensed
| StretchCondensed
| StretchSemiCondensed
| StretchNormal
| StretchSemiExpanded
| StretchExpanded
| StretchExtraExpanded
| StretchUltraExpanded

data Underline

= UnderlineNone
| UnderlineSingle
| UnderlineDouble
| UnderlineLow
| UnderlineError

data PangoDirection

= PangoDirectionLtr
| PangoDirectionRtl
| PangoDirectionWeakLtr
| PangoDirectionWeakRtl
| PangoDirectionNeutral

data EllipsizeMode

= EllipsizeNone
| EllipsizeStart
| EllipsizeMiddle
| EllipsizeEnd

data PangoGravity

= PangoGravitySouth
| PangoGravityEast
| PangoGravityNorth
| PangoGravityWest
| PangoGravityAuto

data PangoGravityHint

= PangoGravityHintNatural
| PangoGravityHintStrong
| PangoGravityHintLine

Documentation
data FontStyle

The style of a font.

- `StyleOblique` is a slanted font like `StyleItalic`, but in a roman style.

Constructors

StyleNormal |
StyleOblique |
StyleItalic |

Instances

Enum FontStyle
Eq FontStyle
Show FontStyle

data Size

Define attributes for FontSize.
Constructors

SizePoint Double |
SizeUnreadable |
SizeTiny |
SizeSmall |
SizeMedium |
SizeLarge |
SizeHuge |
SizeGiant |
SizeSmaller |
SizeLarger |

Instances

Show Size

data Weight

Define attributes for `Weight`.
Constructors

WeightThin |
WeightUltralight |
WeightLight |
WeightBook |
WeightNormal |
WeightMedium |
WeightSemibold |
WeightBold |
WeightUltrabold |
WeightHeavy |
WeightUltraheavy |

Instances

Enum Weight
Eq Weight
Show Weight

data Variant

Constructors

VariantNormal |
VariantSmallCaps |

Instances

Enum Variant
Eq Variant
Show Variant

data Stretch

Define how wide characters are.
Constructors

StretchUltraCondensed |
StretchExtraCondensed |
StretchCondensed |
StretchSemiCondensed |
StretchNormal |
StretchSemiExpanded |
StretchExpanded |
StretchExtraExpanded |
StretchUltraExpanded |

Instances

Enum Stretch
Eq Stretch
Show Stretch

data Underline

Define attributes for `Underline`.

- The squiggly underline for errors is only available in Gtk 2.4 and higher.

Constructors

UnderlineNone |
UnderlineSingle |
UnderlineDouble |
UnderlineLow |
UnderlineError |

Instances

Enum Underline
Eq Underline
Show Underline

data PangoDirection

The `PangoDirection` type represents a direction in the Unicode bidirectional algorithm.

- The "weak" values denote a left-to-right or right-to-left direction only if there is no character with a strong direction in a paragraph. An example is a sequence of special, graphical characters which are neutral with respect to their rendering direction. A fresh Graphics.UI.Gtk.Pango.Rendering.PangoContext is by default weakly left-to-right.
- Not every value in this enumeration makes sense for every usage of `PangoDirection`; for example, the return value of unicharDirection and findBaseDir cannot be `PangoDirectionWeakLtr` or `PangoDirectionWeakRtl`, since every character is either neutral or has a strong direction; on the other hand `PangoDirectionNeutral` doesn't make sense to pass to log2visGetEmbeddingLevels.

Constructors

PangoDirectionLtr |
PangoDirectionRtl |
PangoDirectionWeakLtr |
PangoDirectionWeakRtl |
PangoDirectionNeutral |

Instances

Enum PangoDirection
Eq PangoDirection
Ord PangoDirection

data EllipsizeMode

The `EllipsizeMode` type describes what sort of (if any) ellipsization should be applied to a line of text. In the ellipsization process characters are removed from the text in order to make it fit to a given width and replaced with an ellipsis.
Constructors

EllipsizeNone |
EllipsizeStart |
EllipsizeMiddle |
EllipsizeEnd |

Instances

Enum EllipsizeMode
Eq EllipsizeMode

data PangoGravity

The `PangoGravity` type represents the orientation of glyphs in a segment of text. The value GravitySouth, for instance, indicates that the text stands upright, i.e. that the base of the letter is directed downwards.

This is useful when rendering vertical text layouts. In those situations, the layout is rotated using a non-identity PangoMatrix, and then glyph orientation is controlled using `PangoGravity`. Not every value in this enumeration makes sense for every usage of Gravity; for example, `PangoGravityAuto` only can be passed to pangoContextSetBaseGravity and can only be returned by pangoContextGetBaseGravity.

- See also: `PangoGravityHint`
- Gravity is resolved from the context matrix.
- Since Pango 1.16

Constructors

PangoGravitySouth |
PangoGravityEast |
PangoGravityNorth |
PangoGravityWest |
PangoGravityAuto |

Instances

Enum PangoGravity
Eq PangoGravity
Show PangoGravity

data PangoGravityHint

The `PangoGravityHint` defines how horizontal scripts should behave in a vertical context.

- `PangoGravityHintNatural`: scripts will take their natural gravity based on the base gravity and the script. This is the default.
- `PangoGravityHintStrong`: always use the base gravity set, regardless of the script.
- `PangoGravityHintLine`: for scripts not in their natural direction (eg. Latin in East gravity), choose per-script gravity such that every script respects the line progression. This means, Latin and Arabic will take opposite gravities and both flow top-to-bottom for example.

Constructors

PangoGravityHintNatural |
PangoGravityHintStrong |
PangoGravityHintLine |

Instances

Enum PangoGravityHint
Eq PangoGravityHint
Show PangoGravityHint

Produced by Haddock version 2.4.2